Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::noop_mutex Class Referencefinal

`#include <mutex.h>`

## Public Member Functions
void | lock ()
void | unlock ()

## Detailed Description

Definition at line 44 of file mutex.h.

## Member Function Documentation

void Botan::noop_mutex::lock | ( |  | ) |
| inline

Definition at line 47 of file mutex.h.

47 {}

void Botan::noop_mutex::unlock | ( |  | ) |
| inline

Definition at line 48 of file mutex.h.

48 {}

The documentation for this class was generated from the following file:

- src/lib/utils/mutex.h